Bug 46293 - ld hangs when linking to glibc-profile
Summary: ld hangs when linking to glibc-profile
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-27 18:27 UTC by roystgnr
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-27 18:27:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description roystgnr 2001-06-27 18:27:07 UTC
Description of Problem:
When using gcc (either 2.96-81 or 2.96-85) to compile even a simple C 
test program against glibc-profile (2.2.2-10), the command "gcc -o test 
test.c -lc_p" hangs, while the ld process consumes 99% CPU time.  Even 
the most simple "int main(void){return 0;}" test.c exhibits this 
behavior, and the presence or absence of the "-pg" flag (I admit, this is 
my first time using gprof in years) doesn't make a difference.

How Reproducible: Every time.


Steps to Reproduce:
1. echo "int main(void){return 0;}" > test.c
2. gcc -o test -pg test.c -lc_p &
3. top

Actual Results:


Expected Results:


Additional Information:

Comment 1 Jakub Jelinek 2001-08-09 13:29:21 UTC
You're trying to link in 2 different glibc's (one statical libc_p.a, one
shared library).
This cannot work.
Use gcc -o test -static -profile -pg test.c
(-profile will ensure libc_p.a is linked in).


Note You need to log in before you can comment on or make changes to this bug.